from rest_framework import serializers

from template.models import ImageTemplate


class InstanceTemplateSerializer(serializers.Serializer):
    name = serializers.CharField()
    description = serializers.CharField()
    instance_remote_id = serializers.CharField()

class ImageTemplateModelSerializer(serializers.ModelSerializer):
    class Meta:
        model = ImageTemplate
        fields = ("name", "description", "created_at", "created_by", "image")
